<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: project_cats.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}

if (!checkrights("DPT") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");

//include LOCALE.LOCALESET."admin/weblinks.php";

include INFUSIONS."df_project_panel/admin/admin_navigation.php";

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['project_ac000'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['project_ac001'];
	} elseif ($_GET['status'] == "deln") {
		$message = $locale['project_ac002']."<br />\n<span class='small'>".$locale['project_ac003']."</span>";
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['project_ac004'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
	$result = dbcount("(project_id)", DF_PROJECTS, "project_cat='".$_GET['cat_id']."'");
	if (!empty($result)) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".DF_PROJECT_CATS." WHERE project_cat_id='".$_GET['cat_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_cat'])) {
		$project_cat_name = stripinput($_POST['project_cat_name']);
		$project_cat_description = stripinput($_POST['project_cat_description']);
		$project_cat_image = stripinput($_POST['project_cat_image']);
		$project_cat_access = isnum($_POST['project_cat_access']) ? $_POST['project_cat_access'] : "0";
		if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "1") {
			$project_cat_sorting = "project_id ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "2") {
			$project_cat_sorting = "project_name ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "3") {
			$project_cat_sorting = "project_created ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else {
			$project_cat_sorting = "project_created ASC";
		}
		if ($project_cat_name) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
				$result = dbquery("UPDATE ".DF_PROJECT_CATS." SET project_cat_name='$project_cat_name', project_cat_description='$project_cat_description', project_cat_image='$project_cat_image', project_cat_sorting='$project_cat_sorting', project_cat_access='$project_cat_access' WHERE project_cat_id='".$_GET['cat_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$checkCat = dbcount("(project_cat_id)", DF_PROJECT_CATS, "project_cat_name='".$project_cat_name."'");
				if ($checkCat == 0) {
					$result = dbquery("INSERT INTO ".DF_PROJECT_CATS." (project_cat_name, project_cat_description, project_cat_image, project_cat_sorting, project_cat_access) VALUES ('$project_cat_name', '$project_cat_description', '$project_cat_image', '$project_cat_sorting', '$project_cat_access')");
					redirect(FUSION_SELF.$aidlink."&status=sn");
				} else {
					$error = 2;
				}
			}
		} else {
			$error = 1;
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
		$result = dbquery("SELECT project_cat_name, project_cat_description, project_cat_image, project_cat_sorting, project_cat_access FROM ".DF_PROJECT_CATS." WHERE project_cat_id='".$_GET['cat_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$project_cat_name = $data['project_cat_name'];
			$project_cat_description = $data['project_cat_description'];
			$project_cat_image = $data['project_cat_image'];
			$project_cat_sorting = explode(" ", $data['project_cat_sorting']);
			if ($project_cat_sorting[0] == "project_id") { $cat_sort_by = "1"; }
			elseif ($project_cat_sorting[0] == "project_name") { $cat_sort_by = "2"; }
			else { $cat_sort_by = "3"; }
			$cat_sort_order = $project_cat_sorting[1];
			$project_cat_access = $data['project_cat_access'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$_GET['cat_id'];
			$openTable = $locale['project_ac005']."<span style='color:#ff0000;'>".$project_cat_name."</span>";
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$project_cat_name = "";
		$project_cat_description = "";
		$project_cat_image = "";
		$cat_sort_by = "project_name";
		$cat_sort_order = "ASC";
		$project_cat_access = "";
		$formaction = FUSION_SELF.$aidlink;
		$openTable = $locale['project_ac006'];
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($project_cat_access == $user_group['0'] ? " selected='selected'" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	
	$image_list = makefileopts(makefilelist(INFUSIONS."df_project_panel/images/categorys/", ".|..|index.php|Thumbs.db"), $project_cat_image);

	if (isset($error) && isnum($error)) {
		if ($error == 1) {
			$errorMessage = "Please enter a category name.";
		} elseif ($error == 2) {
			$errorMessage = "This category already exists.";
		}
		if ($errorMessage) { echo "<div id='close-message'><div class='admin-message'>".$errorMessage."</div></div>\n"; }
	}

	opentable($openTable);
	echo "<form name='addcat' method='post' action='".$formaction."'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['project_ac007']."</td>\n";
	echo "<td class='tbl'><input type='text' name='project_cat_name' value='".$project_cat_name."' class='textbox devTxtbx' style='width:200px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['project_ac008']."</td>\n";
	echo "<td class='tbl'><input type='text' name='project_cat_description' value='".$project_cat_description."' class='textbox devTxtbx' style='width:250px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['project_ac009']."</td>\n";
	echo "<td class='tbl'><select name='cat_sort_by' class='textbox devTxtbx'>\n";
	echo "<option value='1'".($cat_sort_by == "1" ? " selected='selected'" : "").">".$locale['project_ac010']."</option>\n";
	echo "<option value='2'".($cat_sort_by == "2" ? " selected='selected'" : "").">".$locale['project_ac011']."</option>\n";
	echo "<option value='3'".($cat_sort_by == "3" ? " selected='selected'" : "").">".$locale['project_ac012']."</option>\n";
	echo "</select> - <select name='cat_sort_order' class='textbox devTxtbx'>\n";
	echo "<option value='ASC'".($cat_sort_order == "ASC" ? " selected='selected'" : "").">".$locale['project_ac013']."</option>\n";
	echo "<option value='DESC'".($cat_sort_order == "DESC" ? " selected='selected'" : "").">".$locale['project_ac014']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['project_ac015']."</td>\n";
	echo "<td class='tbl'><select name='project_cat_access' class='textbox devTxtbx' style='width:150px;'>\n".$access_opts."</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['project_ac016']."</td>\n";
	echo "<td class='tbl'><select name='project_cat_image' class='textbox devTxtbx' style='width:150px;'>\n".$image_list."</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_cat' value='".$locale['project_ac017']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['project_ac018']);
	echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n";
	$result = dbquery("SELECT project_cat_id, project_cat_name, project_cat_description, project_cat_image, project_cat_access FROM ".DF_PROJECT_CATS." ORDER BY project_cat_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td align='left' width='3%' class='tbl2' style='white-space:nowrap'></td>\n";
		echo "<td class='tbl2'>".$locale['project_ac019']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['project_ac020']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['project_g003']."</td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td align='left' width='3%' class='$cell_color' style='white-space:nowrap'><img src='".INFUSIONS."df_project_panel/images/categorys/".$data['project_cat_image']."' style='border:0px' /></td>\n";
			echo "<td class='$cell_color'>".$data['project_cat_name']."\n";
			echo ($data['project_cat_description'] ? "<br />\n<span class='small'>".trimlink($data['project_cat_description'], 45)."</span>" : "")."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['project_cat_access'])."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['project_cat_id']."'>".$locale['project_g004']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cat_id=".$data['project_cat_id']."' onclick=\"return confirm('".$locale['project_ac021']."');\">".$locale['project_g005']."</a></td>\n";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['project_ac022']."</td></tr>\n</table>\n";
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>