<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: upgrade.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}

if (!checkrights("DPT") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }

include INFUSIONS."df_project_panel/admin/admin_navigation.php";

opentable("Upgrade");
echo "<div style='text-align:center'><br />\n";
echo "<form name='upgradeform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

$data_version = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder='df_project_panel'"));	
$current_dversion = $data_version['inf_version'];

$version = str_replace(".", "", $current_dversion);

if ($version < "100") {
	if (!isset($_POST['upgrade'])) {
		echo sprintf("A %s database upgrade is available for this installation of PHP-Fusion.", "major")."<br />\nSimply click Upgrade to update your system.<br /><br />\n";
		echo "<input type='hidden' name='upgrade' value='yes'>\n";
		echo "<input type='submit' name='dev_upgrade' value='Upgrade' class='button'><br /><br />\n";
	} elseif (isset($_POST['dev_upgrade']) && isset($_POST['upgrade']) && $_POST['upgrade'] == "yes") {
	//Nothing to do!
} else {
	echo "There is no database upgrade available.<br /><br />\n";
}
echo "</form>\n</div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>