<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pro.functions.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INFUSIONS."df_project_panel/includes/page.func.php";
/* Development definitions */
define("PROJECT_ADMIN", INFUSIONS."df_project_panel/admin/");
define("PROJECT_SCR", INFUSIONS."df_project_panel/images/screenshots/");
define("PROJECT_CATS", INFUSIONS."df_project_panel/images/categorys/");
define("PROJECT_IMG", INFUSIONS."df_project_panel/images/");
define("PROJECT_FILE", INFUSIONS."df_project_panel/files/");
define("PROJECT", INFUSIONS."df_project_panel/");
//Count Definitions
define("C_PRODLS", dbcount("(project_id)", DF_PROJECTS, "project_file!=''") != 0 ? 1 : 0);
define("C_PROPRP", dbcount("(project_proposal_id)", DF_PROJECT_PROPOSALS, groupaccess('project_proposal_visiacc')." AND project_proposal_status > 0") != 0 ? 1 : 0);
define("C_PRORAT", dbcount("(rating_item_id)", DB_RATINGS, "rating_type='J' AND rating_vote > '0'") != 0 ? 1 : 0);
define("C_PROREP", dbcount("(project_report_id)", DF_PROJECT_REPORTS, "project_report_status='0'"));

function _CheckproAccess_($cat, $dev, $sett){
if(!checkgroup($sett)){
     return false;
} elseif(!checkgroup($cat)){
     return false;
} elseif(!checkgroup($dev)){
     return false;
} else {
     return true;
    }
}

function _proAccessMsg_($cat, $dev, $sett){
       global $locale, $data;
if(!checkgroup($sett)){
     return "<div class='access-denied'>".$locale['project_e002']."</div>";
} elseif(!checkgroup($cat)){
     return "<div class='access-denied'>".$locale['project_e001']." <strong>".$data['project_cat_name']."</strong></div>";
} elseif(!checkgroup($dev)){
     return "<div class='access-denied'>".$locale['project_e000']."</div>"; 
    }
}

/* Image definitions */
define("PRO_BULLET", "<img style='vertical-align: middle; border: 0px' src='".INFUSIONS."df_project_panel/images/dev-bullet.png' class='dev-bullet' alt='&raquo;' border='0' />");
    $settings_result = dbquery("SELECT 
	        project_perpage AS 'perpage', 
			project_cats_perpage AS 'cats_perpage',
			project_cats_colum AS 'catcolum',
			project_colum AS 'devcolum',
			project_comments AS 'devcomments',
			project_screenshot AS 'screenshot',
			project_access AS 'devaccess',
			project_stats AS 'devstats',
			project_twidth AS 'thumb_width',
			project_theight AS 'thumb_height',
			project_swidth AS 'screen_width',
			project_sheight AS 'screen_height',
			project_smaxsize AS 'screen_maxsize',
			project_ftypes AS 'file_types',
			project_fmaxsize AS 'file_maxsize'
			FROM ".DF_PROJECT_SETTINGS);
			if(dbrows($settings_result)){ 
			          $devsett = dbarray($settings_result);					  
			}
			
function pro_image($image, $folder){
         if($folder == "small"){
         $src = INFUSIONS."df_project_panel/images/small_icons/$image";
		 } else if($folder == "cats"){
		 $src = INFUSIONS."df_project_panel/images/categorys/$image";
		 } else if($folder == "screens"){
		 $src = INFUSIONS."df_project_panel/images/screenshots/$image";
		 } else if($folder == "social"){
		 $src = INFUSIONS."df_project_panel/images/social_share/$image";
		 } else if($folder == ""){
         $src = INFUSIONS."df_project_panel/images/$image";
		 }
		 return $src;
}

function authorHidden($author_hidden) {
	global $locale, $settings;
	if ($author_hidden == 1 && !checkrights('DPT')) {
		return true;
} else {
		return false;
     }
}

if(!function_exists('get_prostatus')){
function get_prostatus($status, $col="") {
    global $locale;
    $arraystatus = array(	
		   "NS" => $locale['project_s000'],
		   "CA" => $locale['project_s000a'],
		   "DI" => $locale['project_s001'],
		   "FR" => $locale['project_s002'],
		   "IP" => $locale['project_s003'],
		   "IR" => $locale['project_s004'],
		   "OH" => $locale['project_s005'],
		   "PS" => $locale['project_s006'],
		   "PL" => $locale['project_s006a'],
		   "ST" => $locale['project_s007'],
           "TS" => $locale['project_s008'],
           "UP" => $locale['project_s009']
);
if($col != ""){
    $colstatus = array(	
		   "NS" => "#f43232", "CA" => "#a90000",
		   "DI" => "#a90000", "FR" => "#f4cf32",
		   "IP" => "#6c89f2", "IR" => "#97c274",
		   "OH" => "#a90000", "PS" => "#f4cf32",
		   "PL" => "#64e248", "ST" => "#64e248",
           "TS" => "#99c9c4", "UP" => "##2445bd"
);
       return "<span style='font-weight:bold;color:".$colstatus[$status].";'>".$arraystatus[$status]."</span>";
	   } else {
       return $arraystatus[$status];
	  }
   } 
} 

if(!function_exists('pp_status')){
function pp_status($pp_status){
    global $locale; 
	$pp_statusArr = array(
	                0 => array("tcolor" => "#888888", "bgcolor" => "#cbcbcb", "text" => $locale['project_ps000b']),
	                1 => array("tcolor" => "#54a448", "bgcolor" => "#b4e6ac", "text" => $locale['project_ps001b']),
					2 => array("tcolor" => "#a90404", "bgcolor" => "#f76a6a", "text" => $locale['project_ps002b']),
					3 => array("tcolor" => "#3f7b36", "bgcolor" => "#78d26a", "text" => $locale['project_ps003b']),
					4 => array("tcolor" => "#066d8b", "bgcolor" => "#9cd7e8", "text" => $locale['project_ps004b']),
					5 => array("tcolor" => "#a90404", "bgcolor" => "#f76a6a", "text" => "Closed"),
				);
	$ppst_style = "border-top: 1px solid;
	               border-bottom: 1px solid;
				   background-color: ".$pp_statusArr[$pp_status]['bgcolor'].";
				   color: ".$pp_statusArr[$pp_status]['tcolor'].";
				   font-weight: bold;
				   padding: 2px;
				   text-align: center;
				   width: 110px;";
		$disp_ppstatus = "<div style='".$ppst_style."'>".$pp_statusArr[$pp_status]['text']."</div>";
        return $disp_ppstatus;
    }
}

function pp_type($pptype){
    global $locale; 
	$pp_typeArr = array(
	                0 => $locale['project_pt000'],
	                1 => $locale['project_pt001'],
					2 => $locale['project_pt002']
				);
        return $pp_typeArr[$pptype];
    }

if(!function_exists('rp_priori')){
function rp_priori($rp_priori){
    $pr_prioriArr = array(
		            1 => "High/Critical",
		            2 => "Medium High/Major",
		            3 => "Medium/Normal",
		            4 => "Low/Minor",
					5 => "Very Low/Trivial"
       );
	   return $pr_prioriArr[$rp_priori];
    }
}

if(!function_exists('rp_status')){
function rp_status($rp_status){
    $pr_statusArr = array(
                    0 => "Under Review",
		            1 => "Confirmed",
		            2 => "Pending",
		            3 => "Needs review",
		            4 => "Ready to commit"
       );
	   return $pr_statusArr[$rp_status];
    }
}

if(!function_exists('get_pretype')){
function get_pretype($get_pretype) {
    global $locale;
    $arrayprtype = array(
		   "NS" => $locale['project_rt000'],
		   "PAL" => $locale['project_rt001'],
		   "AL" => $locale['project_rt002'],
		   "BE" => $locale['project_rt003'],
		   "CB" => $locale['project_rt004'],
		   "OB" => $locale['project_rt005'],
		   "FPR" => $locale['project_rt006'],
		   "RW" => $locale['project_rt007'],
		   "RC" => $locale['project_rt008'],
           "OR" => $locale['project_rt009']		   
    );
  return $arrayprtype[$get_pretype];
    } 
} 
if(!function_exists('get_pvetype')){
function get_pvetype($get_pvetype) {
    global $locale;
    $arrayvtype = array(
		   0 => "",
		   1 => $locale['project_vt001'],
		   2 => $locale['project_vt002'],
		   3 => $locale['project_vt003']		   
    );
  return $arrayvtype[$get_pvetype];
    } 
} 


function show_author($user_id, $user_name, $user_status, $user_avatar){
        if ($user_avatar && file_exists(IMAGES."avatars/".$user_avatar) && $user_status!=6 && $user_status!=5) {
			$developer = "<a href='".BASEDIR."profile.php?lookup=".$user_id."' title='".$user_name."'><img style='padding: 2px; border: 1px solid #a5cae4; border-radius: 4px; -webkit-border-radius: 4px; -moz-border-radius: 4px; -khtml-border-radius: 4px; width: 30px; height: 30px;' src='".IMAGES."avatars/".$user_avatar."' alt='".$user_name."' /></a>";
		} else {
			$developer = "<a href='".BASEDIR."profile.php?lookup=".$user_id."' title='".$user_name."'><img style='padding: 2px; border: 1px solid #a5cae4; border-radius: 4px; -webkit-border-radius: 4px; -moz-border-radius: 4px; -khtml-border-radius: 4px; width: 30px; height: 30px;' src='".IMAGES."avatars/noavatar100.png' alt='".$user_name."' /></a>";
		}
		return $developer;
}

function author_age($birthdate){
   if ($birthdate != "0000-00-00"){
       $project_author['alder'] = explode("-", $birthdate);
       $project_author['fodelsear'] = $project_author['alder'][0];
       $alder['nuvarande_ar'] = date("Y", time());
       $project_author['alder_resultat'] = $alder['nuvarande_ar']-$project_author['fodelsear'];

   if (mktime(0,0,0,$project_author['alder'][1], $project_author['alder'][2], $alder['nuvarande_ar']) > time())     
         {
       $project_author['alder_resultat']--;
         }
       $project_author['alder_resultat'] = $project_author['alder_resultat'];
  } else {
       $project_author['alder_resultat'] = "Unknown";
 }
    return $project_author['alder_resultat'];
}

function DeleteCheck($author){
    global $userdata;
    if($userdata['user_id'] == $author || $userdata['user_id'] == 1){
         return true;
         } else {
		 return false;
	}
}

function EditCheck($author){
    global $userdata;
    if($userdata['user_id'] == $author || $userdata['user_id'] == 1){
         return true;
         } else {
		 return false;
	}
}

function AssignToCheck($admin, $assi=""){
    global $userdata;
    if($admin != 0 && $admin == $userdata['user_id'] || $userdata['user_id'] == 1){
         return true;
	} elseif($assi = "assigned" && $admin == 0){
	     return true;
         } else {
		 return false;
	}
}
         		 

function pro_progress($dev_percent, $distype = "") {
        global $data;
        $display_type = ($distype ? $distype : "");
		if($dev_percent >= 0 && $dev_percent <= 25){
		$class = "class='red'";
		$ptext = "<span style='color: #db3a27;'>".$dev_percent."%</span>";
		} else if($dev_percent >= 25 && $dev_percent < 45){
		$class = "class='dark-orange'";
		$ptext = "<span style='color: #d79d26;'>".$dev_percent."%</span>";
		} else if($dev_percent >= 45 && $dev_percent < 75){
		$class = "class='orange'";
		$ptext = "<span style='color: #f2b63c;'>".$dev_percent."%</span>";
		} else if($dev_percent >= 75 && $dev_percent < 100){
		$class = "class='blue'";
		$ptext = "<span style='color: #5aaadb;'>".$dev_percent."%</span>";
		} else if($dev_percent == 100){
		$class = "class='green'";
		$ptext = "<span style='color: #85c440;'>".$dev_percent."%</span>";
		}
		$disp_prog = "<div class='tbl2' style='float: left;padding: 0px 10px 10px 0px;'>";
		$disp_prog .= "<div style='font-size: 13px; font-weight: bolder; padding: 5px;'>".get_devstatus($data['project_status'])."</div>";
		$disp_prog .= "<div class='progress'>";
		$disp_prog .= "<span ".$class." style='width: ".$dev_percent."%;'><span>".$dev_percent."%</span></span>";
		$disp_prog .= "</div></div>";
		
	if($display_type == "text"){
		return $ptext;
		} else {
	    return $disp_prog;
	}
}

function pro_percent($pro_percent) {
		if($pro_percent >= 0 && $pro_percent <= 25){
		$ptext = "<span style='color: #db3a27;  font-weight: bolder;'>".$pro_percent."%</span>";
		} else if($pro_percent >= 25 && $pro_percent < 45){
		$ptext = "<span style='color: #d79d26;  font-weight: bolder;'>".$pro_percent."%</span>";
		} else if($pro_percent >= 45 && $pro_percent < 75){
		$ptext = "<span style='color: #f2b63c;  font-weight: bolder;'>".$pro_percent."%</span>";
		} else if($pro_percent >= 75 && $pro_percent < 100){
		$ptext = "<span style='color: #5aaadb; font-weight: bolder;'>".$pro_percent."%</span>";
		} else if($pro_percent == 100){
		$ptext = "<span style='color: #85c440; font-weight: bolder;'>".$pro_percent."%</span>";
		}
	    return $ptext;
}

function selectedProLangs($langu, $langopt){
	    $l = $langu; 
	    $split_langs = array_unique(explode(",",$l)); 
    foreach ($split_langs  as $key => $value) { 
		if($langopt == $value){ return true; }
	}
}

function getprolangs($lang){
global $locale;
$lang_flag = array(
        "ara" => array("lang_img" => "arabia.png", "lang_text" => "Arabia"), 
		"bos" => array("lang_img" => "bosnia.png", "lang_text" => "Bosnia"),
		"bra" => array("lang_img" => "brazil.png", "lang_text" => "Brazil"),
		"cze" => array("lang_img" => "czech.png", "lang_text" => "Czech"),
		"bul" => array("lang_img" => "bulgaria.png", "lang_text" => "Bulgarian"), 
		"dan" => array("lang_img" => "denmark.png", "lang_text" => "Danish"), 
		"eng" => array("lang_img" => "english.png", "lang_text" => "English"),
		"fra" => array("lang_img" => "france.png", "lang_text" => "French"),
		"ger" => array("lang_img" => "germany.png", "lang_text" => "German"),
		"gre" => array("lang_img" => "greece.png", "lang_text" => "Greek"),
		"hun" => array("lang_img" => "hungary.png", "lang_text" => "Hungarian"), 
		"net" => array("lang_img" => "netherlands.png", "lang_text" => "Netherlands"), 
		"ita" => array("lang_img" => "italy.png", "lang_text" => "Italian"), 
		"lit" => array("lang_img" => "lithuania.png", "lang_text" => "Lithuania"), 
		"nor" => array("lang_img" => "norway.png", "lang_text" => "Norway"), 
		"ira" => array("lang_img" => "iran.png", "lang_text" => "Iran"), 
		"pol" => array("lang_img" => "poland.png", "lang_text" => "Poland"),  
		"rom" => array("lang_img" => "romania.png", "lang_text" => "Romania"), 
		"rus" => array("lang_img" => "russia.png", "lang_text" => "Russian"),  
		"ser" => array("lang_img" => "serbia.png", "lang_text" => "Serbia"), 
		"slo" => array("lang_img" => "slovakia.png", "lang_text" => "Slovak"),  
		"spa" => array("lang_img" => "spain.png", "lang_text" => "Spanish"), 
		"swe" => array("lang_img" => "sweden.png", "lang_text" => "Swedish"), 
		"tur" => array("lang_img" => "turkey.png", "lang_text" => "Turkish"), 
);
		return "<img style='margin 0 5px 0 5px;' src='".INFUSIONS."df_project_panel/images/lang/".$lang_flag[$lang]['lang_img']."' alt='".$lang_flag[$lang]['lang_text']."' title='".$lang_flag[$lang]['lang_text']."' />";
}
		

function prev_nex_pro($id, $ddata){
	$pres = dbquery("SELECT project_id, project_name, project_created FROM ".DF_PROJECTS." WHERE project_id < ".$id." AND project_cat='".$ddata['project_cat']."' ORDER BY project_id DESC");
	$pdata = dbarray($pres);
if(dbrows($pres)){
	$prne_dev = "<div style='padding:6px; font-size: 13px;' class='tbl1'><a href='".INFUSIONS."df_project_panel/view.php?id=".$pdata['project_id']."' title='".$pdata['project_name']."'>Previous Project</a></div>";
    return $prne_dev;
}
	$nres = dbquery("SELECT project_id, project_name, project_created FROM ".DF_PROJECTS." WHERE project_id > ".$id." AND project_cat='".$ddata['project_cat']."' ORDER BY project_id ASC");
	$ndata = dbarray($nres);
if(dbrows($nres)){
	$prne_dev = "<div  align='right' style='padding:6px; font-size: 13px;' class='tbl1'><a href='".INFUSIONS."df_project_panel/view.php?id=".$ndata['project_id']."' title='".$ndata['project_name']."'>Next Project</a></div>";
    return $prne_dev;
   }
}    	
?>
