<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| DF Development Panel
| Version: 1.04
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."df_project_panel/infusion_db.php";

if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."df_project_panel/locale/English.php";
}

$inf_title = $locale['project_title'];
$inf_version = "1.00";
$inf_developer = "DrunkeN";
$inf_weburl = "http://dark-fusion.se";
$inf_email = "pimp_89_cool@hotmail.com";
$inf_folder = "df_project_panel";
$inf_description = $locale['project_desc'];

$inf_newtable[1] = DF_PROJECTS." (
  project_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  project_author MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  project_authors TEXT NOT NULL,
  project_name varchar(50) NOT NULL default '',
  project_version VARCHAR(10) NOT NULL default '',
  project_versiontype TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_syscompat VARCHAR(20) NOT NULL default '',
  project_syscompatv VARCHAR(20) NOT NULL default '',
  project_image VARCHAR(100) NOT NULL DEFAULT '',
  project_image_thumb VARCHAR(100) NOT NULL DEFAULT '',
  project_file VARCHAR(100) NOT NULL DEFAULT '',
  project_fcount INT(10) UNSIGNED NOT NULL DEFAULT '0',
  project_forum_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  project_cat mediumint(8) unsigned NOT NULL default '0',
  project_percent TINYINT(1) DEFAULT '0' NOT NULL,
  project_status CHAR(3) DEFAULT 'NS' NOT NULL,
  project_access TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_dlaccess TINYINT(3) unsigned NOT NULL default '0',
  project_allow_comments TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_allow_ratings TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_allow_proposals TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_hideauthor TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_descri TEXT NOT NULL,
  project_author_notice TEXT NOT NULL,
  project_releasetype CHAR(3) DEFAULT 'NS' NOT NULL,
  project_release INT(10) unsigned NOT NULL default '0',
  project_created INT(10) UNSIGNED NOT NULL default '0',
  project_updated INT(10) unsigned NOT NULL default '0',
  project_tags VARCHAR(120) NOT NULL DEFAULT '',
  project_langs VARCHAR(200) NOT NULL DEFAULT '',
  PRIMARY KEY  (project_id),
  KEY (project_name)
) ENGINE = MyISAM;";

$inf_newtable[2] = DF_PROJECT_CATS." (
  project_cat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  project_cat_name VARCHAR(50) NOT NULL DEFAULT '',
  project_cat_description TEXT NOT NULL,
  project_cat_image VARCHAR(100) NOT NULL default '',
  project_cat_sorting VARCHAR(50) NOT NULL default 'project_name ASC',
  project_cat_access TINYINT(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (project_cat_id),
  KEY (project_cat_name)
) ENGINE = MyISAM;";

$inf_newtable[3] = DF_PROJECT_SETTINGS." (
  project_perpage VARCHAR(10) NOT NULL DEFAULT '10',
  project_cats_perpage VARCHAR(10) NOT NULL DEFAULT '10',
  project_cats_colum TINYINT(1) UNSIGNED NOT NULL DEFAULT '3',
  project_colum TINYINT(1) UNSIGNED NOT NULL DEFAULT '2',
  project_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
  project_screenshot TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
  project_access TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  project_stats TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
  project_twidth MEDIUMINT(5) NOT NULL DEFAULT '120',
  project_theight MEDIUMINT(5) NOT NULL DEFAULT '120',
  project_swidth MEDIUMINT(5) NOT NULL DEFAULT '1024',
  project_sheight MEDIUMINT(5) NOT NULL DEFAULT '900',
  project_smaxsize INT(12) NOT NULL DEFAULT '300000',
  project_ftypes VARCHAR(200) NOT NULL DEFAULT '.zip,.rar,.tar,.bz2,.7z',
  project_fmaxsize INT(12) UNSIGNED NOT NULL DEFAULT '4200000'
) ENGINE = MyISAM;";

$inf_newtable[4] = DF_PROJECT_REPORTS." (
project_report_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
project_report_iid MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT '0',
project_report_priority TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
project_report_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
project_reported_by MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
project_report_text TEXT NOT NULL,
project_report_date INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (project_report_id)
) ENGINE=MyISAM;";

$inf_newtable[5] = DF_PROJECT_PROPOSALS." (
  project_proposal_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  project_proposal_iid MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  project_proposal_poster MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  project_proposal_admin MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  project_proposal_txt TEXT NOT NULL,
  project_proposal_posted INT(10) UNSIGNED NOT NULL DEFAULT '0',
  project_proposal_updated INT(10) UNSIGNED NOT NULL DEFAULT '0',
  project_proposal_visi TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_proposal_visiacc TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_proposal_status TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  project_proposal_type TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  PRIMARY KEY (project_proposal_id),
  KEY (project_proposal_posted)
) ENGINE = MyISAM;";

$inf_droptable[1] = DF_PROJECTS;
$inf_droptable[2] = DF_PROJECT_CATS;
$inf_droptable[3] = DF_PROJECT_SETTINGS;
$inf_droptable[4] = DF_PROJECT_REPORTS;
$inf_droptable[5] = DF_PROJECT_PROPOSALS;

$inf_insertdbrow[1] = DB_PANELS." (panel_name, panel_filename, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES('".$locale['project_title']."', 'df_project_panel', '2', '3', 'file', '0', '0', '1')";
$inf_insertdbrow[2] = DF_PROJECT_SETTINGS." (project_perpage, project_cats_perpage, project_cats_colum, project_colum, project_comments, project_screenshot, project_access, project_stats, project_twidth, project_theight, project_swidth, project_sheight, project_smaxsize, project_ftypes, project_fmaxsize)VALUES('10', '10', '3', '2', '1', '1', '0', '1', '120', '120', '1024', '900', '300000', '.zip,.rar,.tar,.bz2,.7z', '4200000')";
$inf_insertdbrow[3] = DF_PROJECT_CATS." (project_cat_name, project_cat_description, project_cat_sorting, project_cat_image, project_cat_access) VALUES ('Infusions', 'Infusion Projects', 'project_name ASC', 'default.png', '0')";
$inf_insertdbrow[4] = DF_PROJECT_CATS." (project_cat_name, project_cat_description, project_cat_sorting, project_cat_image, project_cat_access) VALUES ('Panels', 'Panel Projects', 'project_name ASC', 'default.png', '0')";
$inf_insertdbrow[5] = DF_PROJECT_CATS." (project_cat_name, project_cat_description, project_cat_sorting, project_cat_image, project_cat_access) VALUES ('Modifications', 'Modification Projects', 'project_name ASC', 'default.png', '0')";
$inf_insertdbrow[6] = DF_PROJECT_CATS." (project_cat_name, project_cat_description, project_cat_sorting, project_cat_image, project_cat_access) VALUES ('BB Codes', 'BB Code Projects', 'project_name ASC', 'default.png', '0')";
$inf_insertdbrow[7] = DF_PROJECT_CATS." (project_cat_name, project_cat_description, project_cat_sorting, project_cat_image, project_cat_access) VALUES ('User Fields', 'User Field Projects', 'project_name ASC', 'default.png', '0')";
$inf_insertdbrow[8] = DF_PROJECT_CATS." (project_cat_name, project_cat_description, project_cat_sorting, project_cat_image, project_cat_access) VALUES ('Themes', 'Theme Projects', 'project_name ASC', 'default.png', '0')";
$inf_insertdbrow[9] = DF_PROJECT_CATS." (project_cat_name, project_cat_description, project_cat_sorting, project_cat_image, project_cat_access) VALUES ('Code Snippits', 'Code Snippit Projects', 'project_name ASC', 'default.png', '0')";

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='df_project_panel'";
$inf_deldbrow[2] = DB_COMMENTS." WHERE comment_type='DP'";
$inf_deldbrow[3] = DB_COMMENTS." WHERE comment_type='PP'";
$inf_deldbrow[4] = DB_RATINGS." WHERE rating_type='J'";

$inf_adminpanel[1] = array(
    "title" => $locale['project_admin'], 
    "image" => "df_dev.png",
    "panel" => "admin/project_admin.php", 
    "rights" => "DPT" 
);

$inf_sitelink[1] = array(
	"title" => "Projects",
	"url" => "project.php",
	"visibility" => "0"
);

?>